petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGetOwnershipRange

Returns the range of indices owned by this processor, assuming that the vectors are laid out with the first n1 elements on the first processor, next n2 elements on the second, etc. For certain parallel layouts this range may not be well defined.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetOwnershipRange(Vec x,PetscInt *low,PetscInt *high)

Not Collective Many br

### Input Parameter

x -the vector Many br

### Output Parameters

| low | - the first local element, pass in NULL if not interested Many br
| high | - one more than the last local element, pass in NULL if not interested Many br

### Note

The high argument is one more than the last element stored locally. Many br

Fortran: NULL_INTEGER should be used instead of NULL Many br

Many br

### See Also

MatGetOwnershipRange(), MatGetOwnershipRanges(), VecGetOwnershipRanges()

Level:beginner
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex16.c.html
src/vec/vec/examples/tutorials/ex18.c.html
src/vec/vec/examples/tutorials/ex3f.F.html
src/vec/vec/examples/tutorials/ex9f.F.html
src/vec/vec/examples/tutorials/ex14f.F.html